Name:           vdr-tvguide
Version:        1.2.2
Release:        1%{?dist}
Summary:        TvGuide is a highly customizable 2D EPG viewer plugin
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://projects.vdr-developer.org/projects/plg-tvguide
Source0:        http://projects.vdr-developer.org/attachments/download/1624/%{name}-%{version}.tgz
# Configuration files for plugin parameters. These are Fedora specific and not in upstream.
Source1:        %{name}.conf

BuildRequires:  GraphicsMagick-c++-devel
BuildRequires:  vdr-devel >= 2.0.0
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

%description 
VDR plugin: tvguide - %{summary}

%prep
%setup -qn tvguide-%{version}
iconv -f iso-8859-1 -t utf-8 README > README.utf8 ; mv README.utf8 README

%build
make CFLAGS="%{optflags} -fPIC" CXXFLAGS="%{optflags} -fPIC" IMAGELIB=graphicsmagick %{?_smp_mflags} all

%install
# make install would install the themes under /etc, let's not use that
make install-lib install-i18n install-icons DESTDIR=%{buildroot}
# install the themes to the custom location used in Fedora
install -dm 755 %{buildroot}%{vdr_vardir}/themes
install -pm 644 themes/*.theme %{buildroot}%{vdr_vardir}/themes/

# tvguide.conf
install -Dpm 644 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/sysconfig/vdr-plugins.d/tvguide.conf

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING HISTORY* README*
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/tvguide.conf
%{vdr_plugindir}/libvdr-*.so.%{vdr_apiversion}
%{vdr_vardir}/themes/tvguide-*.theme
%{vdr_resdir}/plugins/tvguide/

%changelog
* Sun May 11 2014 Martin Gansser <martinkg@fedoraproject.org> - 1.2.2-1
- Update to 1.2.2

* Thu Apr 24 2014 Ville Skyttä <ville.skytta@iki.fi> - 1.2.1-3
- Rebuild

* Sun Mar 23 2014 Ville Skyttä <ville.skytta@iki.fi> - 1.2.1-2
- Rebuild

* Sat Feb 08 2014 Martin Gansser <martinkg@fedoraproject.org> - 1.2.1-1
- Update to 1.2.1

* Mon Feb 03 2014 Martin Gansser <martinkg@fedoraproject.org> - 1.2.0-2
- removed BuildRequires on freetype-devel

* Sat Feb 01 2014 Martin Gansser <martinkg@fedoraproject.org> - 1.2.0-1
- rebuild for new release
- replaced ImageMagick as requirement due big dependencies through GraphicsMagick

* Wed Jan 29 2014 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-11
- reverted back to stable branch
- added ImageMagick-c++-devel package
- spec file cleanup

* Mon Jan 27 2014 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-10.20140126git5eabb6e
- rebuild for new git release
- added correct license tag
- removed data subpackage
- removed ImageMagick-c++-devel package
- added GraphicsMagick-c++-devel package
- added CXXFLAGS and -fPIC build flag

* Wed Jan 22 2014 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-9.20140122git0d3d2ef
- rebuild for new git release
- removed GraphicsMagick patch

* Wed Jan 22 2014 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-8.20140117git662a17d
- replaced ImageMagick as requirement due big dependencies through GraphicsMagick
- added Patch to compile with GraphicsMagick
- replaced RPM_BUILD_ROOT macro through %%{buildroot}

* Sun Jan 19 2014 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-7.20140119gita65fca4
- rebuild for new git release
- added vdr-tvguide-data as requirement
- corrected tarball download instructions

* Wed Jan 15 2014 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-6.20140114gitd0651a4
- installed themes and themeconfigs to the custom location used in Fedora
- added gitdate for fedora naming schema
- added tarball download instructions

* Tue Jan 14 2014 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-5.a8b7c95
- rebuild for new git release

* Sun Jan 12 2014 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-4.d0651a4
- rebuild for new git release

* Sat Jan 11 2014 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-3.3121910
- rebuild for new git release
- added themes and themeconfigs file
- added compiler flags in build section
- removed additional localization install section
- corrected path to README in skinnopacity.conf
- added icons directory to noarch sub-package

* Sat Jan 11 2014 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-2.15dbae6
- rebuild for new git release

* Sun Sep 15 2013 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-1
- rebuild for new release

* Fri Jul 12 2013 Martin Gansser <martinkg@fedoraproject.org> - 0.0.6-1
- rebuild for new release

* Sun Jun 02 2013 Martin Gansser <martinkg@fedoraproject.org> - 0.0.5-1
- rebuild for new release

* Fri May 24 2013 Martin Gansser <martinkg@fedoraproject.org> - 0.0.4-1
- rebuild for new git version

* Sun Mar 31 2013 Martin Gansser <martinkg@fedoraproject.org> - 0.0.2-1
- rebuild.

